Bug 691514 - PDF 1.7 FTS needs lots of memory
PDF 1.7 FTS needs lots of memory
Status: NOTIFIED FIXED
Product: Ghostscript
Classification: Unclassified
Component: Graphics Library
master
All All
: P4 normal
Assigned To: Ray Johnston
Bug traffic
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-30 19:49 PDT by Ray Johnston
Modified: 2011-09-18 21:47 PDT (History)
0 users

See Also:
Customer: 532
Word Size: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ray Johnston 2010-07-30 19:49:20 PDT
The customer reports VMerror on fts_17_1704.pdf. The command line is:
   gswin32c -r600 -sDEVICE=ppmraw -o nul: -dBandHeight=128 fts_17_1704.pdf

They only have about 60Mb available during clist playback (rendering) phase
and tracing shows that this file is trying to allocate several large bitmaps
for pattern_cache tiles while rendering, totaling over 55Mb.

I have traced this to a coding error in the 'depth' calculation used to
calculate the size that controls the switch to 'pattern_clist' mode that
causes this to be off by a factor of 24 (for an RGB device, 32 for CMYK)!

I will test the patch then commit the fix.

Note that with MAX_BITMAP_PATTERN_SIZE set to 1Mb (the current default),
this test goes from 24 to 31 seconds (debug build on my laptop).
Comment 1 Ray Johnston 2010-07-31 00:38:03 PDT
Patch committed to HEAD as rev 11579 and patched gxpcmap.c sent to customer.
Comment 2 Marcos H. Woehrmann 2011-09-18 21:47:44 PDT
Changing customer bugs that have been resolved more than a year ago to closed.